Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367508 - Thunderbolt 3 docking station does not work at all
Summary: Thunderbolt 3 docking station does not work at all
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 27
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-16 14:59 UTC by PS
Modified: 2018-11-30 18:21 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 15:16:03 UTC


Attachments (Terms of Use)
output from journal -f (deleted)
2016-09-24 03:42 UTC, PS
no flags Details
output of "lspci -vv" when tb3 dock is connected (deleted)
2016-09-24 03:44 UTC, PS
no flags Details
journalctl when connecting and disconnecting the thunderbolt cable (deleted)
2018-05-09 15:20 UTC, Cajus Pollmeier
no flags Details

Description PS 2016-08-16 14:59:21 UTC
Description of problem:
I have a new hp zbook with thunderbolt 3 connection to the docking station. I installed Fedora 24 and all updates available on it but can't get the doc to work beyond power (which is a separate plug). When I connect the dock I get some messages and it does show up in lspci but that's about it. Connecting some USB memory, display port or cabled network makes no diff in dmesg and does not work ("lsusb" shows nothing new). Connect same device directly to the laptop and it works fine. Did try both hot connect and cold boot, no diff.
Did try it out under windows and there it works fine.
Have installed latest firmware.

Version-Release number of selected component (if applicable):
root@defiant1:~# uname -r
4.6.6-300.fc24.x86_64
root@defiant1:~# modinfo pcieport
modinfo: ERROR: Module pcieport not found.
root@defiant1:~# modinfo shpchp
filename:       /lib/modules/4.6.6-300.fc24.x86_64/kernel/drivers/pci/hotplug/shpchp.ko.xz
license:        GPL
description:    Standard Hot Plug PCI Controller Driver
author:         Dan Zink <dan.zink@compaq.com>, Greg Kroah-Hartman <greg@kroah.com>, Dely Sy <dely.l.sy@intel.com>
alias:          pci:v*d*sv*sd*bc06sc04i00*
depends:        
intree:         Y
vermagic:       4.6.6-300.fc24.x86_64 SMP mod_unload 
parm:           shpchp_debug:Debugging mode enabled or not (bool)
parm:           shpchp_poll_mode:Using polling mechanism for hot-plug events or not (bool)
parm:           shpchp_poll_time:Polling mechanism frequency, in seconds (int)
root@defiant1:~# 


How reproducible:
Always

Steps to Reproduce:
1. Connect a HP ZBook Thunderbolt 3 dock
2. Try to use it
3.

Actual results:
Nothing beyond some dmesg messages

Expected results:
all ports to work


Additional info:
root@defiant1:~# lspci|grep Thund
04:00.0 PCI bridge: Intel Corporation DSL6540 Thunderbolt 3 Bridge [Alpine Ridge 4C 2015]
05:00.0 PCI bridge: Intel Corporation DSL6540 Thunderbolt 3 Bridge [Alpine Ridge 4C 2015]
05:01.0 PCI bridge: Intel Corporation DSL6540 Thunderbolt 3 Bridge [Alpine Ridge 4C 2015]
05:02.0 PCI bridge: Intel Corporation DSL6540 Thunderbolt 3 Bridge [Alpine Ridge 4C 2015]
05:04.0 PCI bridge: Intel Corporation DSL6540 Thunderbolt 3 Bridge [Alpine Ridge 4C 2015]
06:00.0 System peripheral: Intel Corporation DSL6540 Thunderbolt 3 NHI [Alpine Ridge 4C 2015]
root@defiant1:~# lspci -n|grep ^0[4-6]
04:00.0 0604: 8086:1578
05:00.0 0604: 8086:1578
05:01.0 0604: 8086:1578
05:02.0 0604: 8086:1578
05:04.0 0604: 8086:1578
06:00.0 0880: 8086:1577
root@defiant1:~# lspci -v -s 05:00.0
05:00.0 PCI bridge: Intel Corporation DSL6540 Thunderbolt 3 Bridge [Alpine Ridge 4C 2015] (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0, IRQ 134
        Bus: primary=05, secondary=06, subordinate=06, sec-latency=0
        Memory behind bridge: e2000000-e20fffff
        Capabilities: [80] Power Management version 3
        Capabilities: [88] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [ac] Subsystem: Device 2222:1111
        Capabilities: [c0] Express Downstream Port (Slot-), MSI 00
        Capabilities: [100] Device Serial Number a3-41-34-d0-2f-23-04-00
        Capabilities: [200] Advanced Error Reporting
        Capabilities: [300] Virtual Channel
        Capabilities: [400] Power Budgeting <?>
        Capabilities: [500] Vendor Specific Information: ID=1234 Rev=1 Len=0d8 <?>
        Capabilities: [700] #19
        Kernel driver in use: pcieport
        Kernel modules: shpchp

root@defiant1:~# lspci -v -s 06:00.0
06:00.0 System peripheral: Intel Corporation DSL6540 Thunderbolt 3 NHI [Alpine Ridge 4C 2015]
        Subsystem: Device 2222:1111
        Flags: bus master, fast devsel, latency 0, IRQ 255
        Memory at e2000000 (32-bit, non-prefetchable) [size=256K]
        Memory at e2040000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [80] Power Management version 3
        Capabilities: [88] MSI: Enable- Count=1/1 Maskable- 64bit+
        Capabilities: [c0] Express Endpoint, MSI 00
        Capabilities: [a0] MSI-X: Enable- Count=16 Masked-
        Capabilities: [100] Device Serial Number a3-41-34-d0-2f-23-04-00
        Capabilities: [200] Advanced Error Reporting
        Capabilities: [300] Virtual Channel
        Capabilities: [400] Power Budgeting <?>
        Capabilities: [500] Vendor Specific Information: ID=1234 Rev=1 Len=088 <?>
        Capabilities: [600] Latency Tolerance Reporting

root@defiant1:~#


###########################################################################################################
#booted with the dock connected, removed it, when connecting it back the following dmesg comes

[Aug16 02:31] ACPI Error: [SPRT] Namespace lookup failure, AE_ALREADY_EXISTS (20160108/dswload2-330)
[  +0.000014] ACPI Exception: AE_ALREADY_EXISTS, During name lookup/catalog (20160108/psobject-227)
[  +0.000006] ACPI Error: Method parse/execution failed [\_GPE._E4C] (Node ffff88089d0eaf28), AE_ALREADY_EXISTS (20160108/psparse-542)
[  +0.000012] ACPI Error: Method parse/execution failed [\_GPE._E4C] (Node ffff88089d0eaf28), AE_ALREADY_EXISTS (20160108/psparse-542)
[  +0.000015] ACPI Exception: AE_ALREADY_EXISTS, while evaluating GPE method [_E4C] (20160108/evgpe-592)
[  +0.191395] hp_wmi: Unknown event_id - 131073 - 0x1
[  +5.136398] pci_bus 0000:06: busn_res: [bus 06] is released
[  +0.000095] pci_bus 0000:07: busn_res: [bus 07-39] is released
[  +0.000123] pci_bus 0000:3a: busn_res: [bus 3a] is released
[  +0.000128] pci_bus 0000:3b: busn_res: [bus 3b-6e] is released
[  +0.000132] pci_bus 0000:05: busn_res: [bus 05-6e] is released
[  +5.263752] ACPI Error: [SPRT] Namespace lookup failure, AE_ALREADY_EXISTS (20160108/dswload2-330)
[  +0.000014] ACPI Exception: AE_ALREADY_EXISTS, During name lookup/catalog (20160108/psobject-227)
[  +0.000006] ACPI Error: Method parse/execution failed [\_GPE._E4C] (Node ffff88089d0eaf28), AE_ALREADY_EXISTS (20160108/psparse-542)
[  +0.000012] ACPI Error: Method parse/execution failed [\_GPE._E4C] (Node ffff88089d0eaf28), AE_ALREADY_EXISTS (20160108/psparse-542)
[  +0.000015] ACPI Exception: AE_ALREADY_EXISTS, while evaluating GPE method [_E4C] (20160108/evgpe-592)
[  +0.299465] pci 0000:04:00.0: [8086:1578] type 01 class 0x060400
[  +0.000100] pci 0000:04:00.0: supports D1 D2
[  +0.000001] pci 0000:04:00.0: PME# supported from D0 D1 D2 D3hot D3cold
[  +0.000103] pci 0000:04:00.0: System wakeup disabled by ACPI
[  +0.001561] pci 0000:05:00.0: [8086:1578] type 01 class 0x060400
[  +0.000114] pci 0000:05:00.0: supports D1 D2
[  +0.000002] pci 0000:05:00.0: PME# supported from D0 D1 D2 D3hot D3cold
[  +0.000092] pci 0000:05:01.0: [8086:1578] type 01 class 0x060400
[  +0.000106] pci 0000:05:01.0: supports D1 D2
[  +0.000002] pci 0000:05:01.0: PME# supported from D0 D1 D2 D3hot D3cold
[  +0.000087] pci 0000:05:02.0: [8086:1578] type 01 class 0x060400
[  +0.000107] pci 0000:05:02.0: supports D1 D2
[  +0.000001] pci 0000:05:02.0: PME# supported from D0 D1 D2 D3hot D3cold
[  +0.000085] pci 0000:05:04.0: [8086:1578] type 01 class 0x060400
[  +0.000106] pci 0000:05:04.0: supports D1 D2
[  +0.000002] pci 0000:05:04.0: PME# supported from D0 D1 D2 D3hot D3cold
[  +0.000129] pci 0000:04:00.0: PCI bridge to [bus 05-6e]
[  +0.000009] pci 0000:04:00.0:   bridge window [mem 0xb4000000-0xe20fffff]
[  +0.000006] pci 0000:04:00.0:   bridge window [mem 0x50000000-0x99ffffff 64bit pref]
[  +0.000081] pci 0000:06:00.0: [8086:1577] type 00 class 0x088000
[  +0.000020] pci 0000:06:00.0: reg 0x10: [mem 0xe2000000-0xe203ffff]
[  +0.000013] pci 0000:06:00.0: reg 0x14: [mem 0xe2040000-0xe2040fff]
[  +0.000138] pci 0000:06:00.0: supports D1 D2
[  +0.000002] pci 0000:06:00.0: PME# supported from D0 D1 D2 D3hot D3cold
[  +0.000131] pci 0000:05:00.0: PCI bridge to [bus 06]
[  +0.000008] pci 0000:05:00.0:   bridge window [mem 0xe2000000-0xe20fffff]
[  +0.000090] pci 0000:05:01.0: PCI bridge to [bus 07-39]
[  +0.000009] pci 0000:05:01.0:   bridge window [mem 0xb4000000-0xcbefffff]
[  +0.000006] pci 0000:05:01.0:   bridge window [mem 0x50000000-0x6fffffff 64bit pref]
[  +0.000069] pci 0000:05:02.0: PCI bridge to [bus 3a]
[  +0.000010] pci 0000:05:02.0:   bridge window [mem 0xcbf00000-0xcbffffff]
[  +0.000078] pci 0000:05:04.0: PCI bridge to [bus 3b-6e]
[  +0.000009] pci 0000:05:04.0:   bridge window [mem 0xcc000000-0xe1ffffff]
[  +0.000006] pci 0000:05:04.0:   bridge window [mem 0x70000000-0x99ffffff 64bit pref]
[  +0.000027] pci_bus 0000:05: Allocating resources
[  +0.000033] pci 0000:05:01.0: bridge window [io  0x1000-0x0fff] to [bus 07-39] add_size 1000
[  +0.000016] pci 0000:05:04.0: bridge window [io  0x1000-0x0fff] to [bus 3b-6e] add_size 1000
[  +0.000010] pci 0000:05:01.0: res[13]=[io  0x1000-0x0fff] res_to_dev_res add_size 1000 min_align 1000
[  +0.000003] pci 0000:05:04.0: res[13]=[io  0x1000-0x0fff] res_to_dev_res add_size 1000 min_align 1000
[  +0.000002] pci 0000:04:00.0: bridge window [io  0x1000-0x0fff] to [bus 05-6e] add_size 2000
[  +0.000002] pci 0000:04:00.0: res[13]=[io  0x1000-0x0fff] res_to_dev_res add_size 2000 min_align 1000
[  +0.000002] pci 0000:04:00.0: res[13]=[io  0x1000-0x2fff] res_to_dev_res add_size 2000 min_align 1000
[  +0.000003] pci 0000:04:00.0: BAR 13: no space for [io  size 0x2000]
[  +0.000002] pci 0000:04:00.0: BAR 13: failed to assign [io  size 0x2000]
[  +0.000002] pci 0000:04:00.0: BAR 13: no space for [io  size 0x2000]
[  +0.000002] pci 0000:04:00.0: BAR 13: failed to assign [io  size 0x2000]
[  +0.000003] pci 0000:05:01.0: res[13]=[io  0x1000-0x0fff] res_to_dev_res add_size 1000 min_align 1000
[  +0.000002] pci 0000:05:01.0: res[13]=[io  0x1000-0x1fff] res_to_dev_res add_size 1000 min_align 1000
[  +0.000002] pci 0000:05:04.0: res[13]=[io  0x1000-0x0fff] res_to_dev_res add_size 1000 min_align 1000
[  +0.000002] pci 0000:05:04.0: res[13]=[io  0x1000-0x1fff] res_to_dev_res add_size 1000 min_align 1000
[  +0.000002] pci 0000:05:01.0: BAR 13: no space for [io  size 0x1000]
[  +0.000001] pci 0000:05:01.0: BAR 13: failed to assign [io  size 0x1000]
[  +0.000002] pci 0000:05:04.0: BAR 13: no space for [io  size 0x1000]
[  +0.000001] pci 0000:05:04.0: BAR 13: failed to assign [io  size 0x1000]
[  +0.000002] pci 0000:05:04.0: BAR 13: no space for [io  size 0x1000]
[  +0.000001] pci 0000:05:04.0: BAR 13: failed to assign [io  size 0x1000]
[  +0.000002] pci 0000:05:01.0: BAR 13: no space for [io  size 0x1000]
[  +0.000001] pci 0000:05:01.0: BAR 13: failed to assign [io  size 0x1000]
[  +0.000003] pci 0000:05:00.0: PCI bridge to [bus 06]
[  +0.000005] pci 0000:05:00.0:   bridge window [mem 0xe2000000-0xe20fffff]
[  +0.000009] pci 0000:05:01.0: PCI bridge to [bus 07-39]
[  +0.000005] pci 0000:05:01.0:   bridge window [mem 0xb4000000-0xcbefffff]
[  +0.000004] pci 0000:05:01.0:   bridge window [mem 0x50000000-0x6fffffff 64bit pref]
[  +0.000006] pci 0000:05:02.0: PCI bridge to [bus 3a]
[  +0.000005] pci 0000:05:02.0:   bridge window [mem 0xcbf00000-0xcbffffff]
[  +0.000009] pci 0000:05:04.0: PCI bridge to [bus 3b-6e]
[  +0.000004] pci 0000:05:04.0:   bridge window [mem 0xcc000000-0xe1ffffff]
[  +0.000005] pci 0000:05:04.0:   bridge window [mem 0x70000000-0x99ffffff 64bit pref]
[  +0.000005] pci 0000:04:00.0: PCI bridge to [bus 05-6e]
[  +0.000006] pci 0000:04:00.0:   bridge window [mem 0xb4000000-0xe20fffff]
[  +0.000003] pci 0000:04:00.0:   bridge window [mem 0x50000000-0x99ffffff 64bit pref]

Comment 1 Laura Abbott 2016-09-23 19:14:48 UTC
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.
 
Fedora 24 has now been rebased to 4.7.4-200.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 25, and are still experiencing this issue, please change the version to Fedora 25.
 
If you experience different issues, please open a new bug report for those.

Comment 2 PS 2016-09-24 03:42:19 UTC
Created attachment 1204318 [details]
output from journal -f

Tried with latest kernel, same problem

Comment 3 PS 2016-09-24 03:44:28 UTC
Created attachment 1204319 [details]
output of "lspci -vv" when tb3 dock is connected

Comment 4 PS 2016-10-21 14:15:22 UTC
now running F24 and 4.7.7-200.fc24.x86_64, still same issue

Comment 5 PS 2017-01-10 04:37:12 UTC
now running F24 and 4.8.15-200.fc24.x86_64, still same issue

Comment 6 PS 2017-03-20 19:40:15 UTC
Upgraded to Fedora 25 and I'm not at kernel 4.9.14-200.fc25.x86_64, still same issue.
Did also try using a cable that convert thunderbolt to USB3C/thunderbolt to a USB3B plugged in to a USB4 hub, failed just as bad so it's the thunderbolt chipset that seems to be the issue.

Comment 7 Justin M. Forbes 2017-04-11 14:56:28 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-100.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 8 Andrew Lam 2017-04-17 18:27:18 UTC
Hi.  i have updated to the current version of Fedora 25 and see the same issue with the current version of the kernel:

~ cat /etc/redhat-release 
Fedora release 25 (Twenty Five)
~ uname -r
4.10.9-200.fc25.x86_64


Here are the Thunderbolt-y messages from "lspci":

05:00.0 PCI bridge: Intel Corporation DSL6540 Thunderbolt 3 Bridge [Alpine Ridge 4C 2015] (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0, IRQ 127
	Bus: primary=05, secondary=06, subordinate=7a, sec-latency=0
	I/O behind bridge: None
	Memory behind bridge: b4000000-e20fffff [size=737M]
	Prefetchable memory behind bridge: 0000000050000000-0000000099ffffff [size=1184M]
	Capabilities: [80] Power Management version 3
	Capabilities: [88] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [ac] Subsystem: Device 2222:1111
	Capabilities: [c0] Express Upstream Port, MSI 00
	Capabilities: [100] Device Serial Number 0f-7a-a8-3a-08-e9-07-00
	Capabilities: [200] Advanced Error Reporting
	Capabilities: [300] Virtual Channel
	Capabilities: [400] Power Budgeting <?>
	Capabilities: [500] Vendor Specific Information: ID=1234 Rev=1 Len=0d8 <?>
	Capabilities: [600] Latency Tolerance Reporting
	Capabilities: [700] #19
	Kernel driver in use: pcieport
	Kernel modules: shpchp

06:00.0 PCI bridge: Intel Corporation DSL6540 Thunderbolt 3 Bridge [Alpine Ridge 4C 2015] (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0, IRQ 128
	Bus: primary=06, secondary=07, subordinate=07, sec-latency=0
	I/O behind bridge: None
	Memory behind bridge: e2000000-e20fffff [size=1M]
	Prefetchable memory behind bridge: None
	Capabilities: [80] Power Management version 3
	Capabilities: [88] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [ac] Subsystem: Device 2222:1111
	Capabilities: [c0] Express Downstream Port (Slot-), MSI 00
	Capabilities: [100] Device Serial Number 0f-7a-a8-3a-08-e9-07-00
	Capabilities: [200] Advanced Error Reporting
	Capabilities: [300] Virtual Channel
	Capabilities: [400] Power Budgeting <?>
	Capabilities: [500] Vendor Specific Information: ID=1234 Rev=1 Len=0d8 <?>
	Capabilities: [700] #19
	Kernel driver in use: pcieport
	Kernel modules: shpchp

06:01.0 PCI bridge: Intel Corporation DSL6540 Thunderbolt 3 Bridge [Alpine Ridge 4C 2015] (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0, IRQ 129
	Bus: primary=06, secondary=08, subordinate=40, sec-latency=0
	I/O behind bridge: None
	Memory behind bridge: b4000000-cbefffff [size=383M]
	Prefetchable memory behind bridge: 0000000050000000-000000006fffffff [size=512M]
	Capabilities: [80] Power Management version 3
	Capabilities: [88] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [ac] Subsystem: Device 2222:1111
	Capabilities: [c0] Express Downstream Port (Slot+), MSI 00
	Capabilities: [100] Device Serial Number 0f-7a-a8-3a-08-e9-07-00
	Capabilities: [200] Advanced Error Reporting
	Capabilities: [300] Virtual Channel
	Capabilities: [400] Power Budgeting <?>
	Capabilities: [500] Vendor Specific Information: ID=1234 Rev=1 Len=0d8 <?>
	Capabilities: [700] #19
	Kernel driver in use: pcieport
	Kernel modules: shpchp

06:02.0 PCI bridge: Intel Corporation DSL6540 Thunderbolt 3 Bridge [Alpine Ridge 4C 2015] (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0, IRQ 130
	Bus: primary=06, secondary=41, subordinate=41, sec-latency=0
	I/O behind bridge: None
	Memory behind bridge: cbf00000-cbffffff [size=1M]
	Prefetchable memory behind bridge: None
	Capabilities: [80] Power Management version 3
	Capabilities: [88] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [ac] Subsystem: Device 2222:1111
	Capabilities: [c0] Express Downstream Port (Slot-), MSI 00
	Capabilities: [100] Device Serial Number 0f-7a-a8-3a-08-e9-07-00
	Capabilities: [200] Advanced Error Reporting
	Capabilities: [300] Virtual Channel
	Capabilities: [400] Power Budgeting <?>
	Capabilities: [500] Vendor Specific Information: ID=1234 Rev=1 Len=0d8 <?>
	Capabilities: [700] #19
	Kernel driver in use: pcieport
	Kernel modules: shpchp

06:04.0 PCI bridge: Intel Corporation DSL6540 Thunderbolt 3 Bridge [Alpine Ridge 4C 2015] (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0, IRQ 131
	Bus: primary=06, secondary=42, subordinate=7a, sec-latency=0
	I/O behind bridge: None
	Memory behind bridge: cc000000-e1ffffff [size=352M]
	Prefetchable memory behind bridge: 0000000070000000-0000000099ffffff [size=672M]
	Capabilities: [80] Power Management version 3
	Capabilities: [88] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [ac] Subsystem: Device 2222:1111
	Capabilities: [c0] Express Downstream Port (Slot+), MSI 00
	Capabilities: [100] Device Serial Number 0f-7a-a8-3a-08-e9-07-00
	Capabilities: [200] Advanced Error Reporting
	Capabilities: [300] Virtual Channel
	Capabilities: [400] Power Budgeting <?>
	Capabilities: [500] Vendor Specific Information: ID=1234 Rev=1 Len=0d8 <?>
	Capabilities: [700] #19
	Kernel driver in use: pcieport
	Kernel modules: shpchp

07:00.0 System peripheral: Intel Corporation DSL6540 Thunderbolt 3 NHI [Alpine Ridge 4C 2015]
	Subsystem: Device 2222:1111
	Flags: bus master, fast devsel, latency 0, IRQ 11
	Memory at e2000000 (32-bit, non-prefetchable) [size=256K]
	Memory at e2040000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [80] Power Management version 3
	Capabilities: [88] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [c0] Express Endpoint, MSI 00
	Capabilities: [a0] MSI-X: Enable- Count=16 Masked-
	Capabilities: [100] Device Serial Number 0f-7a-a8-3a-08-e9-07-00
	Capabilities: [200] Advanced Error Reporting
	Capabilities: [300] Virtual Channel
	Capabilities: [400] Power Budgeting <?>
	Capabilities: [500] Vendor Specific Information: ID=1234 Rev=1 Len=088 <?>
	Capabilities: [600] Latency Tolerance Reporting

42:00.0 PCI bridge: Intel Corporation DSL6540 Thunderbolt 3 Bridge [Alpine Ridge 4C 2015] (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0, IRQ 132
	Bus: primary=42, secondary=43, subordinate=7a, sec-latency=0
	I/O behind bridge: 00009000-00009fff [size=4K]
	Memory behind bridge: cc000000-e1ffffff [size=352M]
	Prefetchable memory behind bridge: 0000000070000000-0000000099ffffff [size=672M]
	Capabilities: [80] Power Management version 3
	Capabilities: [88] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [ac] Subsystem: Hewlett-Packard Company Device 822b
	Capabilities: [c0] Express Upstream Port, MSI 00
	Capabilities: [100] Device Serial Number a3-21-a0-49-a2-23-04-00
	Capabilities: [200] Advanced Error Reporting
	Capabilities: [300] Virtual Channel
	Capabilities: [400] Power Budgeting <?>
	Capabilities: [500] Vendor Specific Information: ID=1234 Rev=1 Len=0d8 <?>
	Capabilities: [600] Latency Tolerance Reporting
	Capabilities: [700] #19
	Kernel driver in use: pcieport
	Kernel modules: shpchp

43:00.0 PCI bridge: Intel Corporation DSL6540 Thunderbolt 3 Bridge [Alpine Ridge 4C 2015] (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0, IRQ 133
	Bus: primary=43, secondary=44, subordinate=44, sec-latency=0
	I/O behind bridge: None
	Memory behind bridge: cc000000-cc0fffff [size=1M]
	Prefetchable memory behind bridge: None
	Capabilities: [80] Power Management version 3
	Capabilities: [88] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [ac] Subsystem: Hewlett-Packard Company Device 822b
	Capabilities: [c0] Express Downstream Port (Slot+), MSI 00
	Capabilities: [100] Device Serial Number a3-21-a0-49-a2-23-04-00
	Capabilities: [200] Advanced Error Reporting
	Capabilities: [300] Virtual Channel
	Capabilities: [400] Power Budgeting <?>
	Capabilities: [500] Vendor Specific Information: ID=1234 Rev=1 Len=0d8 <?>
	Capabilities: [700] #19
	Kernel driver in use: pcieport
	Kernel modules: shpchp

43:01.0 PCI bridge: Intel Corporation DSL6540 Thunderbolt 3 Bridge [Alpine Ridge 4C 2015] (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0, IRQ 134
	Bus: primary=43, secondary=45, subordinate=45, sec-latency=0
	I/O behind bridge: None
	Memory behind bridge: None
	Prefetchable memory behind bridge: 0000000070000000-0000000073ffffff [size=64M]
	Capabilities: [80] Power Management version 3
	Capabilities: [88] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [ac] Subsystem: Hewlett-Packard Company Device 822b
	Capabilities: [c0] Express Downstream Port (Slot+), MSI 00
	Capabilities: [100] Device Serial Number a3-21-a0-49-a2-23-04-00
	Capabilities: [200] Advanced Error Reporting
	Capabilities: [300] Virtual Channel
	Capabilities: [400] Power Budgeting <?>
	Capabilities: [500] Vendor Specific Information: ID=1234 Rev=1 Len=0d8 <?>
	Capabilities: [700] #19
	Kernel driver in use: pcieport
	Kernel modules: shpchp

43:02.0 PCI bridge: Intel Corporation DSL6540 Thunderbolt 3 Bridge [Alpine Ridge 4C 2015] (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0, IRQ 135
	Bus: primary=43, secondary=46, subordinate=46, sec-latency=0
	I/O behind bridge: None
	Memory behind bridge: None
	Prefetchable memory behind bridge: None
	Capabilities: [80] Power Management version 3
	Capabilities: [88] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [ac] Subsystem: Hewlett-Packard Company Device 822b
	Capabilities: [c0] Express Downstream Port (Slot+), MSI 00
	Capabilities: [100] Device Serial Number a3-21-a0-49-a2-23-04-00
	Capabilities: [200] Advanced Error Reporting
	Capabilities: [300] Virtual Channel
	Capabilities: [400] Power Budgeting <?>
	Capabilities: [500] Vendor Specific Information: ID=1234 Rev=1 Len=0d8 <?>
	Capabilities: [700] #19
	Kernel driver in use: pcieport
	Kernel modules: shpchp

43:03.0 PCI bridge: Intel Corporation DSL6540 Thunderbolt 3 Bridge [Alpine Ridge 4C 2015] (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0, IRQ 136
	Bus: primary=43, secondary=47, subordinate=47, sec-latency=0
	I/O behind bridge: None
	Memory behind bridge: None
	Prefetchable memory behind bridge: None
	Capabilities: [80] Power Management version 3
	Capabilities: [88] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [ac] Subsystem: Hewlett-Packard Company Device 822b
	Capabilities: [c0] Express Downstream Port (Slot+), MSI 00
	Capabilities: [100] Device Serial Number a3-21-a0-49-a2-23-04-00
	Capabilities: [200] Advanced Error Reporting
	Capabilities: [300] Virtual Channel
	Capabilities: [400] Power Budgeting <?>
	Capabilities: [500] Vendor Specific Information: ID=1234 Rev=1 Len=0d8 <?>
	Capabilities: [700] #19
	Kernel driver in use: pcieport
	Kernel modules: shpchp

43:04.0 PCI bridge: Intel Corporation DSL6540 Thunderbolt 3 Bridge [Alpine Ridge 4C 2015] (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0, IRQ 137
	Bus: primary=43, secondary=48, subordinate=7a, sec-latency=0
	I/O behind bridge: 00009000-00009fff [size=4K]
	Memory behind bridge: cc100000-e1ffffff [size=351M]
	Prefetchable memory behind bridge: 0000000074000000-0000000099ffffff [size=608M]
	Capabilities: [80] Power Management version 3
	Capabilities: [88] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [ac] Subsystem: Hewlett-Packard Company Device 822b
	Capabilities: [c0] Express Downstream Port (Slot+), MSI 00
	Capabilities: [100] Device Serial Number a3-21-a0-49-a2-23-04-00
	Capabilities: [200] Advanced Error Reporting
	Capabilities: [300] Virtual Channel
	Capabilities: [400] Power Budgeting <?>
	Capabilities: [500] Vendor Specific Information: ID=1234 Rev=1 Len=0d8 <?>
	Capabilities: [700] #19
	Kernel driver in use: pcieport
	Kernel modules: shpchp

Comment 9 Andrew Lam 2017-04-17 18:28:35 UTC
Ah, the above is from a HP Zbook 15 G3 with connected to a Thunderbolt 3 dock.

Comment 10 PS 2017-04-17 21:23:24 UTC

(In reply to Andrew Lam from comment #9)
> Ah, the above is from a HP Zbook 15 G3 with connected to a Thunderbolt 3
> dock.

That is same hardware as I have, that means we are now two with the same issue (I still have same issue running same version) but it's same hardware so I guess someone with different hardware need to have the same issue before it gets interesting to work on it.

Comment 11 Marcin Skarbek 2017-04-28 23:09:04 UTC
Current situation with ZBook 15 G3 Workstation and HP Thunderbolt 3 Dock on Fedora 25:
- USB C port - works
- all USB A ports - works
- NIC - works
- Audio jack - both input (mic) and output works
- both DisplayPorts - doesn't work - system can't properly configure external display, tries few times until X server will die
- VGA port - when used as only external display connection works until system is suspended, after waking up display doesn't start

Used configuration:
- kernel: 4.10.12-200.fc25
- nvidia-driver: 378.13-6.fc25 - negativo17/fedora-nvidia repo
- Gnome - X.org session

Wayland doesn't work - fails to properly configure external displays on HDMI/VGA ports build into notebook. X.org with proprietary Nvidia driver manage to properly configure/start external displays.

Comment 12 Fedora End Of Life 2017-07-25 22:28:02 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2017-11-16 19:14:17 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 PS 2017-11-20 04:53:08 UTC
Upgraded to fedora 27 and I still see the same issue

Comment 15 Tomas Krizek 2018-01-02 12:05:59 UTC
I've encountered the same issue on F27. The default behavior seems to support only display port and power. USB devices and network interfaces didn't work.

I was able to solve it by using the boltctl utility [1] to authorize the thunderbolt device. It also has a COPR build [2].

[1] - https://github.com/gicmo/bolt
[2] - https://copr.fedorainfracloud.org/coprs/gicmo/bolt/

Comment 16 Peter F. Patel-Schneider 2018-01-04 03:57:29 UTC
I have similar hardware, and similar problems.  Well, perhaps I'm in a bit worse shape as I can't turn of thunderbolt security and my external device is an Apple Thunderbolt Monitor that may have its own quirks.

The outputs above seem to indicate that no devices are being started under thunderbolt.   When a thunderbolt device is connected to your laptop/PC a bunch of bridges are turned on.  I can see these in the output, but nothing beyond them.  If things are working OK, I would expect to see more PCI devices on the PCI busses under the bridges.

What did you see from boltctl list, and what devices did you authorize?

Comment 17 PS 2018-01-04 05:24:08 UTC
From what I can see it is already authorized with dp so displayport and usb should work.

root@defiant1:~# uname -r
4.14.8-300.fc27.x86_64
root@defiant1:~# rpm -q bolt
bolt-0.2-20171217giteb63510.fc27.x86_64
root@defiant1:~# boltctl list
 ● HP ZBook 15 G3
   ├─ uuid:        c4010000-0000-9d18-2213-34ca5ea01917
   ├─ vendor:      HP Inc.
   ├─ status:      authorized
   │  └─ security: dponly
   └─ stored:      no

 ● HP Thunderbolt 3 Dock
   ├─ uuid:        cd010000-0000-bd18-2211-34ca24620917
   ├─ vendor:      HP Inc.
   ├─ status:      authorized
   │  └─ security: dponly
   └─ stored:      no

root@defiant1:~# boltctl enroll cd010000-0000-bd18-2211-34ca24620917
wrong device state: 4
root@defiant1:~#


Inserting any USB device in the thunderbolt dock shows nothing what so ever to "journalctl -f" and of course no news in "lsusb" or "lspci".

Was going to try displayport but my 5min search didn't find a fedora 27 rpm so I skipped that for now.

Only good news I have is that I got a usb-c cable to a usb3.0 port replicator and that does work in regards to network, sound and USB (didn't try display port) so at least I can run some things that way.

Comment 18 Tomas Krizek 2018-01-04 09:00:00 UTC
After I enrolled the devices (for some reason, I had to enrol both the docking station and the cable), I think their security status changed to 'user'. Afterwards, I was able to see the devices connected to the docking station in lsusb and lspci.

For explanation about the different security levels, see README [1] in the repo.

This is the output I get from boltctl list:

 ● Latitude 7480
   ├─ uuid:        xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx
   ├─ vendor:      Dell
   ├─ status:      authorized
   │  └─ security: user
   └─ stored:      no 

 ● Dell Thunderbolt Cable
   ├─ uuid:        xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx
   ├─ vendor:      Dell
   ├─ status:      authorized
   │  └─ security: user
   └─ stored:      yes
      ├─ policy:   auto
      └─ key:      no

 ● Dell Thunderbolt Dock
   ├─ uuid:        xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx
   ├─ vendor:      Dell
   ├─ status:      authorized
   │  └─ security: user
   └─ stored:      yes
      ├─ policy:   auto
      └─ key:      no

[1] - https://github.com/gicmo/bolt/blob/master/README.md

Comment 19 Peter F. Patel-Schneider 2018-01-04 21:21:20 UTC
@PS

My understanding is that dponly security means that only DisplayPort devices will be allowed in the Thunderbolt connection.  So its not surprising that other devices might not work.  To get other devices to work you probably have to change Thunderbolt security in your BIOS (if that is even possible).

Both Thunderbolt 3 and USB 2.0 can be carried at once on the same USB-C cable, so you may be able to drive USB devices via USB.   This depends on whether both ends of the connection separate USB 2.0 from the Thunderbolt 3 connection.

Comment 20 Laura Abbott 2018-02-20 19:56:59 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  As kernel maintainers, we try to keep up with bugzilla but due the rate at which the upstream kernel project moves, bugs may be fixed without any indication to us. Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.
 
Fedora 27 has now been rebased to 4.15.3-300.f27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you experience different issues, please open a new bug report for those.

Comment 21 PS 2018-02-20 21:39:03 UTC
I'm now running 4.15.3-300.fc27.x86_64 but my statement from comment #17 is still the same, adding a usb device generates no activity at all in journalctl despite it shows up as "dponly".

Comment 22 Christian Kellner 2018-03-07 10:33:51 UTC
@PS, Peter in comment #19 is correct: if your thunderbolt host controller is in DPONLY mode then only displayport (and possibly usb connections) will be allowed by the controller. Your dock will show up in /sys/bus/thunderbolt and in boltctl but its inherent thunderbolt functionality will bi disabled. Now the USB ports docks are very likely connected to a extra USB controller that is in turn connected via Thunderbolt/PCIe. Thus, if your host controller is in DPONLY mode (i.e. no thunderbolt) then very likely the USB ports on the Dock will no be working.
For the dock to work properly what you need to do is the following: in the BIOS change the Thunderbolt security level to USER or (preferably) SECURE (according to [1] it is called "PCIe and Display Port - SecureConnect") and then use bolt/boltctl to enroll the Dock (as comment #18 did). Form then on, the dock should automatically be connected by the bolt daemon when you re-connect it (or reboot the machine).

BTW, I released bolt 0.2 on Monday and it is currently in testing for F27. You can grab the build from koji[3]. I would appreciate if you could use that version and test it and report back on bodhi. :)

[1] http://h20195.www2.hp.com/v2/GetDocument.aspx?docname=4AA6-5088ENW
[2] https://bodhi.fedoraproject.org/updates/FEDORA-2018-6268d61787
[3] https://koji.fedoraproject.org/koji/buildinfo?buildID=1054069

Comment 23 PS 2018-03-07 23:52:18 UTC
root@defiant1:~# rpm -q bolt
bolt-0.2-1.fc27.x86_64
Did go in to BIOS and after looking around for a long while I finally found the setting. Now I did go all the way and set security mode to "none" and after that I finally (after 2.5 years) got it to work to some level. I plugged in a UBS flashdrive in my dock and it works.
Will test some more things like sound and network later and what happens when I lock down security a little.

I did download your new bolt and tried it, output looks a little different, dunno what else to look for.
Btw, if you release this version it won't be an update since the current version in the Copr repo is 0.2-20171217 and that is higher than 0.2-1 (dnf stated "higher version already installed).


root@defiant1:~# rpm -q bolt
bolt-0.2-1.fc27.x86_64
root@defiant1:~# boltctl list
 ● HP Thunderbolt 3 Dock
   ├─ type:          peripheral
   ├─ vendor:        HP Inc.
   ├─ uuid:          cd010000-0000-bd18-2211-34ca24620917
   ├─ status:        authorized
   │  ├─ authorized: Wed 07 Mar 2018 11:16:57 PM UTC
   │  └─ connected:  Wed 07 Mar 2018 11:16:57 PM UTC
   └─ stored:        no

root@defiant1:~# boltctl info cd010000-0000-bd18-2211-34ca24620917
 ● HP Thunderbolt 3 Dock
   ├─ type:          peripheral
   ├─ vendor:        HP Inc.
   ├─ uuid:          cd010000-0000-bd18-2211-34ca24620917
   ├─ dbus path:     /org/freedesktop/bolt/devices/cd010000_0000_bd18_2211_34ca24620917
   ├─ status:        authorized
   │  ├─ parent:     c4010000-0000-9d18-2213-34ca5ea01917
   │  ├─ syspath:    /sys/devices/pci0000:00/0000:00:1c.4/0000:04:00.0/0000:05:00.0/0000:06:00.0/domain0/0-0/0-3
   │  ├─ authorized: Wed 07 Mar 2018 11:16:57 PM UTC
   │  └─ connected:  Wed 07 Mar 2018 11:16:57 PM UTC
   └─ stored:        no

root@defiant1:~# grep -s . /sys/bus/thunderbolt/devices/*/*
/sys/bus/thunderbolt/devices/0-0/authorized:1
/sys/bus/thunderbolt/devices/0-0/device:0x80d5
/sys/bus/thunderbolt/devices/0-0/device_name:HP ZBook 15 G3
/sys/bus/thunderbolt/devices/0-0/nvm_authenticate:0x0
/sys/bus/thunderbolt/devices/0-0/nvm_version:16.0
/sys/bus/thunderbolt/devices/0-0/uevent:DEVTYPE=thunderbolt_device
/sys/bus/thunderbolt/devices/0-0/unique_id:c4010000-0000-9d18-2213-34ca5ea01917
/sys/bus/thunderbolt/devices/0-0/vendor:0xf0
/sys/bus/thunderbolt/devices/0-0/vendor_name:HP Inc.
/sys/bus/thunderbolt/devices/0-3/authorized:1
/sys/bus/thunderbolt/devices/0-3/device:0x8190
/sys/bus/thunderbolt/devices/0-3/device_name:HP Thunderbolt 3 Dock
/sys/bus/thunderbolt/devices/0-3/nvm_authenticate:0x0
/sys/bus/thunderbolt/devices/0-3/nvm_version:16.0
/sys/bus/thunderbolt/devices/0-3/uevent:DEVTYPE=thunderbolt_device
/sys/bus/thunderbolt/devices/0-3/unique_id:cd010000-0000-bd18-2211-34ca24620917
/sys/bus/thunderbolt/devices/0-3/vendor:0xf0
/sys/bus/thunderbolt/devices/0-3/vendor_name:HP Inc.
/sys/bus/thunderbolt/devices/domain0/security:none
/sys/bus/thunderbolt/devices/domain0/uevent:DEVTYPE=thunderbolt_domain
root@defiant1:~#

Comment 24 PS 2018-03-12 01:00:50 UTC
Done some more testing and now moved over everything to the thunderbolt dock. Sound, network and I even got display link to work - once booted at least.

Comment 25 PS 2018-04-17 14:45:53 UTC
I think this bug can be closed, it is no longer a problem after changing the permission in the bios.
Only thing would be if some pointers to some official fedora/redhat source of  the required procedure/sw for display port was added to this thread, but maybe that belongs to some other place.

Comment 26 Cajus Pollmeier 2018-05-09 15:20:00 UTC
Created attachment 1433917 [details]
journalctl when connecting and disconnecting the thunderbolt cable

Comment 27 Cajus Pollmeier 2018-05-09 15:25:12 UTC
I've the problem that the external Display stopped working after upgrading to F28. Mouse, Keyboard (USB) and Network are working with the docking station. On F27, the dock worked fine (maybe it stopped after the latest kernel updates).

The external display is shown in the Gnome Display Settings, but there's no signal. Hopefully the journalctl is of help. If I can provide more information, please let me know.

Any idea how I can get it up and running again?

Comment 28 Justin M. Forbes 2018-07-23 15:24:02 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 29 Justin M. Forbes 2018-08-29 15:16:03 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.